import socket from "$utils/socket";
import {NoticeType} from "$utils/socket/const";

export default <LibMixins>{

    created(){

        socket.on('popup-detail', (data)=>{
            if (this.option) {
                this.option.guanming = data.naming;
            }
        },NoticeType.naming);

    },

    beforeUnmount() {
        socket.off('popup-detail',NoticeType.naming);
    }

}
